Subject: Re: bug#73501: 30.0.91; zoom smaller/larger svg image file unresponsive

From: Van Ly <[email-masked]>
Date: Fri, 27 Sep 2024 12:14:13 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Van Ly <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 27 Sep 2024 09:36:11 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > I cannot reproduce this: I can zoom in or out this file in full-screen
>> > Emacs frame.
>> >
>> >> Expected behavior is zoom to enlarge/shrink happens in response to "C-x C-+" and "C-x C--".
>> >
>> > I get the expected behavior.
>> >
>> > Do you see something interesting in *Messages*?
>> >
>> 
>> # Contents of *Messages*
>> 
>> 1 For information about GNU Emacs and the GNU system, type C-h C-a.
>> 2 Type C-c C-c to view the image as text
>> 3 Use +, =, -, 0, C-+, C-=, C--, C-0 for further adjustment [5 times]
>> 
>> The above 5 attempts to enlarge at fullscreen does nothing.
>
> Then I have no idea what happens in your case.  Maybe it's your
> version of librsvg, or maybe it's something else.
>

I tried downselecting the rsvg library in the package manager to prefer
the C only implementation, rebuilt Emacs and see the same behavior.

  1 $ pkgin se rsvg
  2 pkgin se rsvg
  3 librsvg-2.58.0nb1 <  SVG library for GNOME
  4 librsvg-2.40.21nb18 = SVG library for GNOME (2.40.xx branch, C only)
  5 ruby31-rsvg2-4.2.2nb1  Ruby binding of librsvg
  6 ruby32-rsvg2-4.2.2nb1  Ruby binding of librsvg
  7 ruby33-rsvg2-4.2.2nb1  Ruby binding of librsvg
  8 
  9 =: package is installed and up-to-date
 10 <: package is installed but newer version is available
 11 >: installed package has a greater version than available package

> Can anyone reproduce this issue and debug it?
>

-- 
vl